All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.sasserver.tree
Class ServerNodeDelegate

    com.sas.sasserver.tree.ServerNodeDelegate

All Implemented Interfaces:
  com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, com.sas.collection.ContentsChangedListener, com.sas.ComponentInterface, com.sas.LinkPropertiesInterface, com.sas.ModelInterface, com.sas.models.NodeIconInterface, com.sas.models.NodeInterface, com.sas.models.SimpleNodeInterface, com.sas.models.TreeInterface, com.sas.rmi.LocalModelInterface, com.sas.ViewInterface, MultipleValueEventSourceInterface, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.util.EventListener

    public class ServerNodeDelegate

ServerNodeInterface is a generic interface for accessing tree structured data. The ServerNodeDelegate class implements this interface and acts as an Adaptor and Proxy for a remote SASHELP.RSASMOD.SASNODE node object on the SAS server. This class adapts ServerNodeInterface methods into SASNODE methods and types (for example, converting from 0-based indexing to 1-based indexing, or translating from HListInterface to SimpleNodeInterface[])

This delegate class also is responsible for deferring object creation as long as possible by using the remote node's _getNodeChildren method which returns a list of node descriptors. The remote node need not always create the instances, but can instead pass back more descriptive information (text, expanded text, icons, isLeaf properties) about each node in one call, thus eiminating the need for the client to call back to the server to read that information about each child node. Only when the client needs information not represented in the description list does the client have to make a remote call. The description list can have either a remote object ID, or it may contain the name of an SCL class to instatiate in order to create a ServerNodeInterface.

See Also:
  `NodeInterface`, `TreeView`, Serialized Form

Field Summary

Fields inherited from class com.sas.sasserver.tree.NodeDelegate
`children, className, connection, expIcon, expIconName, expIconNum, expSelIcon, expSelIconName, expSelIconNum, expText, icon, iconName, iconNum, id, isLeaf, nodeType, otherIconsNum, parentID, selIcon, selIconName, selIconNum, text`

Fields inherited from class com.sas.sasserver.SASListDelegate
`allContentsChangedListeners, hasChildren, libExists, membersList, needs_refresh, parsedList, pendingEventGateCount`

Constructor Summary
`ServerNodeDelegate()`

Method Summary
`void` | `_setRemoteHandle(java.lang.Object model)` Sets the proxy handle

Methods inherited from class com.sas.sasserver.tree.NodeDelegate
`addPropertyChangeListener, clone, countNodeChildren, firePropertyChange, firePropertyChange, getChildren, getDefaultIcon, getExpandedIcon, getExpandedSelectedIcon, getNodeChild, getNodeChildCount, getNodeChildren, getNodeExpandedText, getNodeText, getNodeType, getRoot, getSelectedIcon, initialize, isLeafNode, loadIcon, loadIcon, notifyPropertyChange, parseIntParam, parseParams, parseStringParam, remoteNode, removePropertyChangeListener, reset, resubmitQuery, setDefaultIcon, setExpandedIcon, setExpandedSelectedIcon, setNodeExpandedText, setNodeText, setNodeType, setRemoteNode, setSelectedIcon`

Methods inherited from class com.sas.sasserver.SASListDelegate
`addContentsChangedListener, apply, contains, contentsChanged, count, disableEvents, enableEvents, equals, fireContentsChanged, fireContentsChanged, get, getIndex, getItems, getItems, getLastIndex, initialize, parseList, remoteObject, removeContentsChangedListener, toString`

Constructor Detail

### ServerNodeDelegate

    public ServerNodeDelegate()

Method Detail

### _setRemoteHandle

    public void _setRemoteHandle(java.lang.Object model)

  Description copied from interface: `LocalModelInterface`

  Sets the proxy handle

  Specified by:
    `_setRemoteHandle` in interface `com.sas.rmi.LocalModelInterface`
  Overrides:
    `_setRemoteHandle` in class `SASListDelegate`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.